
Installer - Feature #32338

support ALLOWED_CONTENT_CHECKSUMS option with pulpcore

04/16/2021 07:20 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/342,

https://github.com/theforeman/puppet-pul

pcore/pull/183,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/346

  

Description

This setting should:

propagate to settings.py

Have different defaults for katello

Be overriddable by the user

Associated revisions

Revision 2e1347bb - 04/20/2021 09:56 AM - Justin Sherrill

Refs #32338 - Add support for ALLOWED_CONTENT_CHECKSUMS

Co-authored-by: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>

Revision 85bcb81d - 04/22/2021 04:15 PM - Justin Sherrill

Fixes #32338 - expose pulpcore allowed_content_checksums

Revision ba98d069 - 04/26/2021 09:34 AM - Ewoud Kohl van Wijngaarden

Refs #32338 - Move content array param to params.pp

Kafo bug #31565 means we can't use arrays as defaults in the file

itself. It ends up being interpreted as a long string rather than an

array of strings. By placing it in params.pp, it does work.

https://projects.theforeman.org/issues/31565

History

#1 - 04/19/2021 01:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/342 added

#2 - 04/19/2021 01:20 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/183 added

#3 - 04/22/2021 04:15 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 04/22/2021 05:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed
Applied in changeset puppet-foreman_proxy_content|85bcb81d7313c95114544a1b1967adb70c7ffa31.

#5 - 04/26/2021 09:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/346 added
